Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## kodo.util
Class Proxies

    java.lang.Object
      |
      +--kodo.util.Proxies

public class Proxies
extends Object

Utility methods for managing proxies.

Field Summary
`static int` | `MODE_ENTRY`
`static int` | `MODE_KEY`
`static int` | `MODE_VALUE`

Constructor Summary
`Proxies()`

Method Summary
`static void` | `assertAllowedType(Object value, Class allowed)` Used by proxy types to check that an attempt to add a new value is legal.
`static Set` | `entrySet(ProxyMap proxy, Set set, int mode)` Return a proxy for the given map key or entry set.
`static boolean` | `isOwner(Proxy proxy, KodoStateManager sm, int field)` Used by proxy types to check if the given owners and field names are equivalent.
`static Iterator` | `iterator(Proxy proxy, Iterator itr)` Return an iterator that dirties its own on calls to remove.
`static ListIterator` | `listIterator(ProxyCollection proxy, ListIterator itr, Class allowed)` Return a proxy iterator that dirties its owner on remove, set, and add.
`static void` | `makeDirty(Proxy proxy)` Used by proxy types to dirty their owner.
`static void` | `removed(Proxy proxy, Object removed, boolean key)` Used by proxy types to notify their owner that an element has been removed.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### MODE_ENTRY

    public static final int MODE_ENTRY

### MODE_KEY

    public static final int MODE_KEY

### MODE_VALUE

    public static final int MODE_VALUE

Constructor Detail

### Proxies

    public Proxies()

Method Detail

### isOwner

    public static boolean isOwner(Proxy proxy,
                                  KodoStateManager sm,
                                  int field)

  Used by proxy types to check if the given owners and field names are equivalent.

### assertAllowedType

    public static void assertAllowedType(Object value,
                                         Class allowed)

  Used by proxy types to check that an attempt to add a new value is legal.

### makeDirty

    public static void makeDirty(Proxy proxy)

  Used by proxy types to dirty their owner.

### removed

    public static void removed(Proxy proxy,
                               Object removed,
                               boolean key)

  Used by proxy types to notify their owner that an element has been removed.

### iterator

    public static Iterator iterator(Proxy proxy,
                                    Iterator itr)

  Return an iterator that dirties its own on calls to remove.

### listIterator

    public static ListIterator listIterator(ProxyCollection proxy,
                                            ListIterator itr,
                                            Class allowed)

  Return a proxy iterator that dirties its owner on remove, set, and add.

### entrySet

    public static Set entrySet(ProxyMap proxy,
                               Set set,
                               int mode)

  Return a proxy for the given map key or entry set.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SolarMetric Kodo JDO 3.3.5 generated on August 31 2005
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 2001,2002 SolarMetric, Inc. All Rights Reserved.